Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicTreeUI.CellEditorHandler

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicTreeUI.CellEditorHandler

All Implemented Interfaces:
  CellEditorListener, EventListener

Enclosing class:
  BasicTreeUI

public class BasicTreeUI.CellEditorHandler
extends Object
implements CellEditorListener

Listener responsible for getting cell editing events and updating the tree accordingly.

Constructor Summary
`BasicTreeUI.CellEditorHandler()`

Method Summary
`void` | `editingCanceled(ChangeEvent e)` Messaged when editing has been canceled in the tree.
`void` | `editingStopped(ChangeEvent e)` Messaged when editing has stopped in the tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicTreeUI.CellEditorHandler

    public BasicTreeUI.CellEditorHandler()

Method Detail

### editingStopped

    public void editingStopped(ChangeEvent e)

  Messaged when editing has stopped in the tree.
  Specified by:
    `editingStopped` in interface `CellEditorListener`

### editingCanceled

    public void editingCanceled(ChangeEvent e)

  Messaged when editing has been canceled in the tree.
  Specified by:
    `editingCanceled` in interface `CellEditorListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.